Viewing Issue Advanced Details Jump to Notes ] stv.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04654 Timing Critical (emulation) Always Jan 31, 2012, 20:07 Feb 2, 2012, 04:05
Tester Scagazza View Status Public Platform MAME (Self-compiled)
Assigned To R. Belmont Resolution Fixed OS Windows XP (64-bit)
Status [?] Resolved   Driver stv.cpp
Version 0.144u7 Fixed in Version 0.145 Build 64-bit
Summary 04654: All sets in stv.c: All sets do not start or play correctly (Timing, Auto Credit, Sound)
Description Among the issues related are:

COTTON2: Game hangs in a black screen
GROOVEF: Game hangs after pressing P1 start
HANAGUMI, PBLBEACH: Game hangs when you choose character
MYFAIRLD: P1 start button doesn't function
RSGUN: There is no music and sound effects
SHANHIGW: No music is played
SHANHIGW: The game starts with 2 credits inserted
Steps To Reproduce
Additional Information
Flags
Regression Version 0.144u7
Affected Sets / Systems All sets in stv.c
Attached Files
 


-  Notes
User avatar
No.08124
Scagazza
(Tester)
Feb 1, 2012, 15:18
I have tested all the working game and the report could be changed to "all sets in stv.c"
All the games have no music e no sound effects or at least seems that sound goes in a kind of loop.
User avatar
No.08125
Tafoid
(Administrator)
Feb 1, 2012, 16:34
All the sound/timing issues seem related to one change in source, r15143.
User avatar
No.08134
Tafoid
(Administrator)
Feb 1, 2012, 21:43
This bug will be used to hold all STV.C sets which have the same problem with missing sound/auto credits or other problems caused by timing issues. Do not report more STV.C sets' issues at this time!
User avatar
No.08136
hap
(Developer)
Feb 1, 2012, 22:05
scsp sound probably broke: model2.c stcc doesn't have any sound either